Subject: bug#19513: shift-select-mode fails to be fully buffer-local

From: Kelly Dean <[email-masked]>
Date: Sun, 25 Jan 2015 08:50:35 +0000

The bug was caused because handle-shift-selection sets transient-mark-mode globally to a cons with 'only as the car, then when the motion command occurs in the other buffer, handle-shift-selection sets transient-mark-mode globally to remove that cons, so back in the first buffer, when handle-shift-selection is called again, the cons is gone, so there's no trigger to deactivate the mark.

Setting transient-mark-mode buffer-locally instead of globally fixes the bug.

I was about to send a patch, but when I checked to make sure it applied to trunk, I discovered Stefan already fixed this bug in commit 5d2638bd in June 2014--more than three months before 24.4 was released.